Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1359607 - [RFE] Non root Geo-replication Error logs improvements
Summary: [RFE] Non root Geo-replication Error logs improvements
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: geo-replication
Version: rhgs-3.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.2.0
Assignee: Kotresh HR
QA Contact: Rahul Hinduja
URL:
Whiteboard:
Depends On: 1346138 1370995
Blocks: 1351503
TreeView+ depends on / blocked
 
Reported: 2016-07-25 06:43 UTC by Aravinda VK
Modified: 2017-03-23 05:40 UTC (History)
8 users (show)

Fixed In Version: glusterfs-3.8.4-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1346138
Environment:
Last Closed: 2017-03-23 05:40:10 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:18:45 UTC

Description Aravinda VK 2016-07-25 06:43:20 UTC
+++ This bug was initially created as a clone of Bug #1346138 +++

Description of problem:
During Non-root Geo-replication setup, if Mountbroker mount fails Gluster just shows Permission denied or Operation not Permitted errors. 

Log/stderr need to be enhanced to show exact reason for Mount failures. (User dir permissions, Arguments mismatch, Invalid Log file path etc)

Comment 3 Kotresh HR 2016-08-25 16:56:40 UTC
Upstream Patch:

http://review.gluster.org/15319

Comment 4 Kotresh HR 2016-09-15 14:10:24 UTC
Upstream patchs:
http://review.gluster.org/15319
http://review.gluster.org/15333/

Comment 6 Atin Mukherjee 2016-09-15 14:38:08 UTC
downstream patches are merged.

Comment 9 Rahul Hinduja 2017-02-06 11:58:59 UTC
Verified with the build: glusterfs-geo-replication-3.8.4-13.el7rhgs.x86_64

Carried the test scenario's by manually injecting the errors in the glusterd vol file to simulate the errors. Following errors were correctly reported:

[2017-02-06 11:38:40.455740] I [MSGID: 106496] [glusterd-handler.c:3182:__glusterd_handle_mount] 0-glusterd: Received mount req
[2017-02-06 11:38:40.455852] E [MSGID: 106062] [glusterd-mountbroker.c:548:glusterd_do_mount] 0-management: 'option mountbroker-root' missing in glusterd vol file
[2017-02-06 11:38:40.455854] W [MSGID: 106176] [glusterd-mountbroker.c:724:glusterd_do_mount] 0-management: unsuccessful mount request [No such file or directory]


[2017-02-06 11:41:06.526083] I [MSGID: 106496] [glusterd-handler.c:3182:__glusterd_handle_mount] 0-glusterd: Received mount req
[2017-02-06 11:41:06.526148] E [MSGID: 106581] [glusterd-mountbroker.c:579:glusterd_do_mount] 0-management: Missing mspec: Check the corresponding option in glusterd vol file for mountbroker user: geoaccount [No such file or directory]
[2017-02-06 11:41:06.526173] W [MSGID: 106176] [glusterd-mountbroker.c:724:glusterd_do_mount] 0-management: unsuccessful mount request [No such file or directory]


[2017-02-06 11:51:42.122744] I [MSGID: 106496] [glusterd-handler.c:3182:__glusterd_handle_mount] 0-glusterd: Received mount req
[2017-02-06 11:51:42.123411] E [MSGID: 106176] [glusterd-mountbroker.c:598:glusterd_do_mount] 0-management: Either volume is not started or volinfo not found [No such file or directory]
[2017-02-06 11:51:42.123524] W [MSGID: 106176] [glusterd-mountbroker.c:724:glusterd_do_mount] 0-management: unsuccessful mount request [No such file or directory]


[2017-02-06 11:55:51.700182] E [MSGID: 106582] [glusterd-mountbroker.c:484:evaluate_mount_request] 0-management: Mountbroker spec mismatch!!! SET: 2 COMPONENT: 0. Review the mount args passed [Operation not permitted]
[2017-02-06 11:55:51.700278] W [MSGID: 106176] [glusterd-mountbroker.c:724:glusterd_do_mount] 0-management: unsuccessful mount request [Operation not permitted]

Moving this bug to verified state. Any new error required will be raised and tracked separately

Comment 11 errata-xmlrpc 2017-03-23 05:40:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html


Note You need to log in before you can comment on or make changes to this bug.